## cpptoml 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
project(cpptoml)

set(cpptoml_VERSION 0.4.0)
set(cpptoml_TOML_VERSION 0.4.0)

include(CheckCXXCompilerFlag)
include(CheckCXXSourceCompiles)
include(CheckCXXSourceRuns)
include(CMakePushCheckState)

cmake_push_check_state()

option(ENABLE_LIBCXX "Use libc++ for the C++ standard library" ON)
option(CPPTOML_BUILD_EXAMPLES "Build examples" ON)

set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/deps/meta-cmake)

if(UNIX OR MINGW)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")

  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    if(CMAKE_GENERATOR STREQUAL "Ninja")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
    endif()

    if(ENABLE_LIBCXX)
      find_package(LIBCXX REQUIRED)
      set_libcxx_required_flags()
    endif()
  endif()
endif()

set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${CMAKE_CXX11_STANDARD_COMPILE_OPTION}")

cmake_pop_check_state()

add_library(cpptoml INTERFACE)

target_include_directories(cpptoml INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

if (LIBDL_LIBRARY)
  target_link_libraries(cpptoml INTERFACE ${LIBDL_LIBRARY})
endif()

if (CXXABI_LIBRARY)
  target_link_libraries(cpptoml INTERFACE ${CXXABI_LIBRARY})
endif()

if (CPPTOML_BUILD_EXAMPLES)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  add_subdirectory(examples)
endif()

find_package(Doxygen)
if(DOXYGEN_FOUND AND NOT TARGET doc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cpptoml.doxygen.in
    ${CMAKE_CURRENT_BINARY_DIR}/cpptoml.doxygen @ONLY)
  add_custom_target(doc
    ${DOXYGEN_EXECUTABLE}
    ${CMAKE_CURRENT_BINARY_DIR}/cpptoml.doxygen
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/cpptoml/cpptomlConfigVersion.cmake
  VERSION ${cpptoml_VERSION}
  COMPATIBILITY SameMajorVersion)
configure_file(cmake/cpptomlConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/cpptoml/cpptomlConfig.cmake
               COPYONLY)

install(TARGETS cpptoml
        EXPORT cpptoml-exports)
install(FILES include/cpptoml.h
        DESTINATION include)
install(EXPORT cpptoml-exports
        FILE cpptomlTargets.cmake
        DESTINATION lib/cmake/cpptoml)
install(FILES
          ${CMAKE_CURRENT_BINARY_DIR}/cpptoml/cpptomlConfigVersion.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/cpptoml/cpptomlConfig.cmake
        DESTINATION
          lib/cmake/cpptoml)

export(EXPORT cpptoml-exports
       FILE ${CMAKE_CURRENT_BINARY_DIR}/cpptoml/cpptomlTargets.cmake)
export(PACKAGE cpptoml)

=== examples/CMakeLists.txt ===
add_executable(parse parse.cpp)
target_link_libraries(parse cpptoml)
set_target_properties(parse PROPERTIES
  CXX_STANDARD 11
  CXX_EXTENSIONS OFF
  CXX_STANDARD_REQUIRED YES)

add_executable(cpptoml-parser parse_stdin.cpp)
target_link_libraries(cpptoml-parser cpptoml)
set_target_properties(cpptoml-parser PROPERTIES
  CXX_STANDARD 11
  CXX_EXTENSIONS OFF
  CXX_STANDARD_REQUIRED YES)

add_executable(cpptoml-build build_toml.cpp)
target_link_libraries(cpptoml-build cpptoml)
set_target_properties(cpptoml-build PROPERTIES
  CXX_STANDARD 11
  CXX_EXTENSIONS OFF
  CXX_STANDARD_REQUIRED YES)

add_executable(cpptoml-conversions conversions.cpp)
target_link_libraries(cpptoml-conversions cpptoml)
set_target_properties(cpptoml-conversions PROPERTIES
  CXX_STANDARD 11
  CXX_EXTENSIONS OFF
  CXX_STANDARD_REQUIRED YES)

=== debian/changelog ===
cpptoml (0.1.1-3) unstable; urgency=medium

  * Update d/watch
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Oct 2022 22:57:56 +0200

cpptoml (0.1.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Nov 2021 13:56:05 +0100

cpptoml (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #998144)

 -- Timo Röhling <roehling@debian.org>  Sun, 31 Oct 2021 00:20:34 +0200

=== debian/control ===
Source: cpptoml
Section: libs
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
Homepage: https://github.com/skystrife/cpptoml
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/cpptoml.git
Vcs-Browser: https://salsa.debian.org/roehling/cpptoml

Package: libcpptoml-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only library for parsing TOML configuration files
 TOML is a file format for configuration files. It is intended to be easy
 to read and write due to obvious semantics which aim to be "minimal", and
 is designed to map unambiguously to a dictionary.
 .
 cpptoml is a C++ header-only library that implements the TOML 0.5.0
 standard.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DENABLE_LIBCXX=OFF

execute_after_dh_auto_build:
	dh_auto_build --buildsystem=cmake -- doc

DOC_DIR = debian/libcpptoml-dev/usr/share/doc/libcpptoml-dev
execute_after_dh_auto_install:
	mkdir -p $(DOC_DIR)
	cp -rv obj-$(DEB_HOST_GNU_TYPE)/doc/html $(DOC_DIR)
	dh_doxygen

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/skystrife/cpptoml/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
